import numpy as np
from numpy import linalg

# idea for algorithm:

hit_node = 0
n_1 = 10
n_2_neighbors = 0
n_2 = n_1*n_2_neighbors
N = 1+n_1+n_2
in_or_out = "in"  # "in" or "out"


effect_true_L0 = 4000.0
effect_true_L1 = 40.0

delta_start = effect_true_L0
alpha_start = effect_true_L1/effect_true_L0*n_1

tol = 0.001
crit = 1

iterations = 25


# Adjacency simple
# N = 31
prep = np.ones(N*N)
Adjacency2 = prep.reshape((N,N))-np.identity(N)
tolerance2 = tol* prep.reshape((N,N))
old_D2=prep.reshape((N,N))


# Adjacency with indirect neighbors
core4 = []
rows = range(0,N)
columns = range(0,N)
hit_node = 0
neighbors = range(1,n_1+1)
outer_nodes = range(n_1+1,N)

for row in rows:
    if row == hit_node:
        this_row = [1]
        for column in neighbors:
            this_row.append(1)
        for column in outer_nodes:
            this_row.append(0)
    elif row in neighbors:
        this_row = [1]
        for column in neighbors:
            this_row.append(1)
        for column in outer_nodes:
            current_neighbor = n_1-n_2_neighbors+1 + n_2_neighbors*row               
            if column in range(current_neighbor, current_neighbor+n_2_neighbors):
                this_row.append(1)
            else:
                this_row.append(0)    
    elif row in outer_nodes:
        this_row = [1]
        for column in neighbors:
            this_row.append(1)
        for column in outer_nodes:
            this_row.append(1)
    else: 
        break
    core4.append(this_row)

Adjacency4 =  np.array(core4)-np.identity(N)
tolerance4 = tol* prep.reshape((N,N))
old_D4 = prep.reshape((N,N))


#Adjacency select
Adjacency=Adjacency4
tolerance = tolerance4
old_D = old_D4
print "Adjacency: \n", Adjacency

linking_neighbors_vector = np.dot(np.ones(N),Adjacency)
print "incoming links vector: ", linking_neighbors_vector

receiving_neighbors_vector = np.dot(Adjacency,np.ones(N))
print "outgoing links vector: ", receiving_neighbors_vector


## G-matrix
N_Pg = N - 1
if in_or_out == "out":
    G = np.transpose(np.transpose(Adjacency)/receiving_neighbors_vector)
elif in_or_out == "in":
    G = Adjacency/linking_neighbors_vector

print "G = \n", G

incoming_weights= np.dot(np.ones(N),G)
print "incoming weights: ", incoming_weights
avg_weight = np.dot(incoming_weights,np.ones(N))/N
print "avg weight: ", avg_weight

exit()

#Shock
D_t = np.zeros(N)
D_t[hit_node] = 1

print "D_t", D_t


#initialize alpha and delta
delta_in = effect_true_L0
alpha_in = alpha_start
alpha_too_small = 0
alpha_too_large = 1
crit_delta = 1
delta_too_large = effect_true_L0*1.2
delta_too_small = 0
power = 0
"""
Outer Loop:
"""
counter_out = 0
while abs(crit_delta) > tol/2.0 and counter_out < 28: 
    counter_out = counter_out +1
    delta_D_t = delta_in*D_t
    """
    Inner Loop:
    """
    counter = 0
    crit_alpha =1
    while abs(crit_alpha) > tol/2.0 and counter < 25: 
        counter = counter+1
        alpha_G = alpha_in*G
        sum = np.zeros(N)
        for power in range(iterations):
            ## start with alpha_in
            
            ## simulate spills up to step 10
            if power == 0:
                order_effect = np.dot(delta_in*D_t, linalg.matrix_power(np.array(alpha_G),power))
                # print "\n \n delta_D_t * alpha_G^", power, ": \n ", order_effect
            elif power == 1:
                order_effect = np.dot(delta_in*D_t, linalg.matrix_power(np.array(alpha_G),power))
                # print "\n \n delta_D_t * alpha_G^", power, ": \n ", order_effect
            else:
                order_effect = np.dot(delta_in*D_t, linalg.matrix_power(np.array(alpha_G),power))
            sum = sum + order_effect
            if power == 1:
                sum_2 = sum
            # print "iteration", power
            # power = power +1
        # print "\n \n sum * alpha_G^", power, ": \n ", order_effect
        # print "\n summation of  effect after ", power, " rounds : \n \n ", sum
        # print "\n \n delta_D_t * alpha_G^", power, ": \n ", order_effect
        # check if convergence was achieved.            
        if order_effect.any() < tol:
            print "no convergence achieved after ", iterations, " iterations."
            break
        effect_sim_L0 = sum[0]
        effect_sim_L1 = sum[1]
        alpha_out = effect_sim_L1/effect_sim_L0
        # update alpha:
        crit_alpha = effect_true_L1 - effect_sim_L1 
        print "\ncrit_alpha, result L0, result L1: ", crit_alpha, effect_sim_L0 , effect_sim_L1
        if abs(crit_alpha) < tol/2:
            pass
        elif crit_alpha < 0:
            # crit > 0 => alpha was too large => correct by picking smaller alpha
            alpha_too_large = alpha_in
            # weight_correction = 1.0/crit_alpha
            ## correction: pick the mean between current value and the last recorded smaller/bigger value.
            correction_alpha = alpha_too_small
        elif crit_alpha > 0:
            # crit < 0 => alpha was too small => correct by picking larger alpha
            alpha_too_small = alpha_in
            # weight_correction = 1.0/crit_alpha
            correction_alpha = alpha_too_large
        else:
            print "alpha took the value ", alpha_out, " which it wasn't expected to take. Check your code"
        alpha_in = (alpha_in + correction_alpha) / (2.0)
        print "too large, too small and new alpha: ", alpha_too_large, alpha_too_small, alpha_in
    print "counter_in = ", counter
    # assert abs(crit_delta) + abs (crit_alpha)
    crit_delta = effect_sim_L0 - effect_true_L0
    print "\ncrit_delta, result L0, result L1: ", crit_delta, effect_sim_L0 , effect_sim_L1
    if abs(crit_delta) < tol/2:
        pass
    elif crit_delta > 0:
        # crit > 0 => alpha was too large => correct by picking smaller alpha
        delta_too_large = delta_in
        ## correction: pick the mean between current value and the last recorded smaller/bigger value.
        correction_delta = delta_too_small
    elif crit_delta < 0:
        # crit < 0 => alpha was too small => correct by picking larger alpha
        delta_too_small = delta_in
        correction_delta = delta_too_large
    else:
        print "delta took the value ", delta_out, " which it wasn't expected to take. Check your code"
    # update delta:
    delta_in = (delta_in + correction_delta) / 2.0
    alpha_too_small = alpha_too_small*0.7
    alpha_too_large = alpha_too_large*1.3
    print "too large, too small and new delta: ", delta_too_large, delta_too_small, delta_in
    print "counter_out: ", counter_out        

print "real alpha ", alpha_in
print "real delta ", delta_in

print "sim schock L0: ", effect_sim_L0
print "sim schock L1: ", effect_sim_L1
print "implied simple ratio:, ", alpha_out
print "implied simple alpha:, ", alpha_out*n_1
# print "delta_D_t", delta_D_t
HO_effect = sum -sum_2
print "implied HO-effects (0,1,2 clicks away): ", HO_effect[0], HO_effect[1], HO_effect[-1]
print "done"
exit()