/***********/ local filename = "wikidis_cr_Lx_post_cleaning" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close




include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file grabs the raw L0, L1 and L2 files and does some cleaning procedures...
desc_end ***/


foreach linkdistance in L0 {
/* note - just duplicating L0 and L1 is a waste of space, but it's acceptable, for they're not too big */
local startdata = "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_pages.dta"	
use "`startdata'", clear
	
	di ("${DATAWAVE}"=="4")
	di ("`DisPod'" == "dis")
	di "dispod is: `DisPod'" 
	** for datawave 4 in disasters generate a pseudo L0 file.
	if ("`DisPod'" == "dis") & ("${DATAWAVE}" == "4") {
		
		* include wikidis_in_Arbeit/wikidis_temp_getting_L0_from_25_new_disasters.do
		save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_post_cleaning.dta", replace
	}
	
save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_post_cleaning.dta", replace

}
foreach linkdistance in L1 L2 {
* local linkdistance L2
	local startdata = "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_pages.dta"	


	use "${PATH_DISASTER_SAMPLES}wiki`DisPod'_L0_post_cleaning.dta", clear

	rename clicks clicks_L0
	sort start_page_name day_of_month placebo_state time_var 
		if _rc sort start_page_name placebo_state time_var 
	
	tab start_page_name
	cap keep start_page_name clicks_L0 day_of_month placebo_state time_var 
		if _rc keep start_page_name placebo_state time_var 
	

	cap merge 1:m start_page_name day_of_month  placebo_state time_var using "`startdata'"
		if _rc merge 1:m start_page_name placebo_state time_var using "`startdata'"

	keep if _merge == 3
	rename _merge merger_start_page

	if "`DisPod'" == "dis" {
		* drop if eve_id ==3 /* this doesn't look clean Gulf of Mexico BP is brought together with Lehman Brothers.*/
		
		tab start_page_name if time_var == 0
		tab start_page
		drop if start_page_name == "Wohnhausbrand_in_Ludwigshafen_am_Rhein" /* weird anticipation in l2 two  days before fire */
		drop if wiki_eve_name == "Wohnhausbrand_in_Ludwigshafen_am_Rhein"
		drop if wiki_eve_name == "Anschlge_am_26._November_2008_in_Mumbai" /* few observations */
		drop if wiki_eve_name == "Carnival_Splendor" 						/* Appearantly no treated L2 observations - irregularity or absence of mutual links? */
		drop if wiki_eve_name == "Zyklon_Nargis" 							/* Appearantly no treated L2 observations - irregularity or absence of mutual links? */
		}
		
		
	if "`DisPod'" == "PoD" {
		drop if wiki_eve_name == "Ghetto_(Venedig)"	/* Appearantly no treated L2 observations - irregularity  in the database? */
		
		/* in D20-wave, The presitential elections 2009 fall on placebo period -13. ;-)
			=> possibly eliminate the most important related pages, but possibly just leave and acknowledge.. */
			
		drop if wiki_eve_name == "Präsident_der_Vereinigten_Staaten"	
		}
		

	local i_need_page_titles_yes = "yes"
	include "${PATH_PLUGIN}wikidis_plugin_addvars.do"

	drop if page_title == "Das_A-Team"   		/* some strange patterns, maybe a movie opening */
	drop page_title
	save "${PATH_DISASTER_SAMPLES}wiki`DisPod'_`linkdistance'_post_cleaning.dta", replace

	clear

}
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
