/***********/ local filename = "wikidis_ana_start_page_test_analysis" /******************/

clear all
* version 10.1
${memory_use}
${processors_use}
set more off
cap log close



include "${PATH_PLUGIN}wikidis_plugin_locals.do"
log using "${PATH_LOGS}/`filename'.log", replace

**** Short description of do-file:
/* This do file performs a first showcase analysis of the disaster data
desc_end ***/




local startdata =  "${PATH_DISASTER_DATA}wikidis_start_pages.dta"	

use "`startdata'", clear

**check startdata
tab start_page_name wiki_eve_name


** a few descriptives


/* a few descriptive figures */


* local draw_level_graphs_yes = "yes"
local figure_path = "${PATH_FIGURES}" 
local tex_path =  "${PATH_DESCRIPTIVES_TABLES}"
local figformat "eps"

cap mkdir `figure_path'
cap mkdir `tex_path'

	*** tamper with label of time_var
	foreach vari in time_var start_page_name {
		local cutlabel  : variable label `vari'
		local shortlabel = substr("`cutlabel'",1 ,20)
		label var `vari' "`shortlabel'"
		}

		
	*** draw a few figures
	sort time_var eve_id flag_treated 
	foreach out_var in page_length  SNwik_degree num_imagelinks num_extlinks num_refs clicks num_revisions num_authors  {
		by time_var eve_id flag_treated: egen avg_grp_`out_var' = mean(`out_var')
		twoway line  avg_grp_`out_var' time_var, by(start_page_name ) /*
			*/ saving(`figure_path'/wikidis_start_2disasters_`out_var'.gph, replace) /*
			*/ legend(cols(1) rowgap(tiny) colgap(minuscule) symxsize(*0.4)  keygap(minuscule) /*
			*/ size(small) region(margin(tiny) lwidth(medthin)) bmargin(tiny)) /*
			*/ ylabel(#4, alternate)
		
		local figure_name = "wikidis_start_`out_var'_vs_time"
			* graph export xy.png, replace	
		graph export `figure_path'/`figure_name'.`figformat', replace
		!epstopdf `figure_path'/`figure_name'.`figformat'
		rm `figure_path'/`figure_name'.`figformat'
		*sleep 2000
		}
by time_var eve_id flag_treated: egen avg_grp_sum_clicks_pointing = mean(sum_clicks_on_pages_pointing_to)
	twoway line  avg_grp_sum_clicks_pointing time_var, by(start_page_name )
	sleep 4000
	



** first regressions


dont exxit 
clear
${memory_unuse}
${processors_unuse}

*** long description of do_file
/* This do file ...
long_descritpion_end ***/

log close
