local L1_data "D:\workspace\AAA_wikipedia\wiki_disasters\trunk\wikidis_data\dis_data\wikidis_samples\wikidis_L1_pages.dta"


use `L1_data', clear

keep if time_var==1
keep if placebo_state == 0

sort start_page_name clicks page_id
by start_page_name : gen counter = _n
by start_page_name : gen obs_per_startpage = _N

local i_need_page_titles_yes = "yes"
include "${PATH_PLUGIN}wikidis_plugin_addvars.do"

order clicks flag_treated placebo_state day 
order wiki_eve_name
sort wiki_eve_name flag_treated clicks page_id

order page_title 



`browse'


keep if counter == obs_per_startpage - 0
gsort eve_id  day flag_treated


`browse'
bys wiki_eve_name: egen unix_mean = mean(day)
count
count if unix_mean == day
keep if unix_mean == day
* xx
* drop if eve_id==4
* drop if clicks > 2000

sum clicks, de




** remerge via placebo_state
rename clicks clicks_L0
keep page_id page_title

merge 1:m  page_id using "`L1_data'"

`browse'

sort eve_id flag_treated placebo_state page_id time_var
`browse'
tab _merge
keep if _merge == 3
rename _merge  merger_peudo_L0

include "${PATH_PLUGIN}wikidis_plugin_locals.do"

local i_need_delta_vars_yes = "yes"
include "${PATH_PLUGIN}wikidis_plugin_addvars.do"


	
	local crit_b flag_treated
	local b_values 0 1
	local crit_c placebo_state
	local c_values 0 1

	
	local a_values `core_outcomes'
	foreach crit_a in `a_values' {
		preserve
	*mean variable:
	collapse (mean) /*
			*/ mean_`crit_a'=`crit_a'   /*
			*/ , by (time_var `crit_b' `crit_c') 

		twoway (line mean_`crit_a' time_var if `crit_c' == 0) || (scatter mean_`crit_a' time_var if `crit_c' == 1)/*
								*/ ,legend(label(1 "`crit_c'=0") label(2 "`crit_c'=1"))
		sleep `viewtime'

		
		twoway (line mean_`crit_a' time_var if `crit_b' == 0) || (scatter mean_`crit_a' time_var if `crit_b' == 1) /*
								*/ ,legend(label(1 "`crit_b'=0")label(2 "`crit_b'=1"))
		*sleep `viewtime'
		
		
		twoway /*
		*/ (line mean_`crit_a' time_var if `crit_b' == 1 & `crit_c' == 0,  lwidth(thick) ) || /*
		*/ (line mean_`crit_a' time_var if `crit_b' == 1 & `crit_c' == 1,  lpattern(dash))|| /*
		*/ (line mean_`crit_a' time_var if `crit_b' == 0 & `crit_c' == 0    ) ||/*
		*/ (line mean_`crit_a' time_var if `crit_b' == 0 & `crit_c' == 1,  lpattern(dot)) /*
							*/ , xline(0) legend(label(1 "`crit_b'= 1 + `crit_c'=0") label(2 "`crit_b'= 1 + `crit_c'=1")/*
							*/ label(3 "`crit_b'= 0  + `crit_c'=0") label(4 "`crit_b'= 0  + `crit_c'=1") col(1))

		local combi_figure_name "`crit_a'_over_time_`linkdistance'_`DisPod'_4Lines"
		local panel_subtitle "" /* Hier kann ein subtitle stehen*/ 
		local truncation_note ""
		local titletext "title here"
	
	sleep `viewtime'
							
	restore
							
		}

sum clicks, de
sum clicks if time_var==1, de

count
