********************************
* PRÄAMBEL UND SCHALTER
********************************


clear
set more off
cap set processors 6
cap set mem 4000M
cap set matsize 1000
cap drop est _all
cap log close

* 1.)  install required add-ons: sutex, esttab, corrtex, outreg2
cap which outreg2
if _rc ssc install outreg2
cap which sutex
if _rc ssc install sutex
cap which estout
if _rc ssc install estout
cap which corrtex
if _rc ssc install corrtex
cap which tabout
if _rc ssc install tabout

/* 2 (can be ignored) only needed if you actually run data-management: debugging mode for data_management: 
	 if you develop your code and want things to run fast switch it to yes. If you care for the results, say no */
	
	** default is no: later, maybe set this switch in your section
		global mkm_debug_data_yes = "no" /* yes or no; only for insheeting or when looking at basic data management */

	/* conditional specification of data-size => sample for debugging or real for functioning code */
	if "${mkm_debug_data_yes}" == "yes" {
		global mkm_debug_reduction "keep if ((sampler > 0.475) & (sampler < 0.525)) | (link_distance_from_startpage == 0)"
		* global call_small_or_full "_small" 
		* global test "keep if time_var==76"
		* global test "keep if (sampler > 0.475) & (sampler < 0.525)"
		}

	if "${mkm_debug_data_yes}" == "no" {
		global mkm_debug_reduction ""
		* global test = " "
		* global call_small_or_full "_full" 
		}

/* 3.) set the date and fix the minimum amount of paths manually */
* Date:

di %tdCCYY-NN date(c(current_date),"DMY")
di %tdCCYYNNDD date(c(current_date),"DMY")
di %tdYYNNDD date(c(current_date),"DMY")

global EXEC_DATE: di %tdYYNNDD date(c(current_date),"DMY")
di "${EXEC_DATE}"
global EXEC_MONTH: di %tdCCYY-NN date(c(current_date),"DMY")
di "${EXEC_MONTH}"


* default attempt to get running code even if the user is not recognized 
	cd ..
	cd ..
	local path = c(pwd)
	global PATH_TO_SVN "`path'/trunk"  /* here make sure to set things correctly */

* if user is recognized PATH_TO_DIR is overwritten by the preferred settings of the user */
	if c(username)=="Kummer" & c(os) == "Windows" {
			global PATH_TO_REPO "C:/workspace/AAA_Wikipedia/wikidis/"  
			global PATH_TO_SVN "${PATH_TO_REPO}/trunk/" 
			global PATH_TO_DO "${PATH_TO_SVN}/wikidis_do_files/"
			di "${PATH_TO_DO}"
			global nodraw ""
			}


	if c(username)=="aam18bgu" & c(os) == "Windows" {
			global PATH_TO_REPO "D:/workspace/AAA_Wikipedia/wikidis/"  
			global PATH_TO_SVN "${PATH_TO_REPO}/trunk/" 
			global PATH_TO_DO "${PATH_TO_SVN}/wikidis_do_files/"
			di "${PATH_TO_DO}"
			global nodraw ""
			}			

	if c(username)=="mkm" & c(os) == "Windows" {
		if c(machine_type) == "PC (64-bit x86-64)" {
			* global PATH_TO_REPO "E:/eclipse_wokspace_Win7/AAA_wikipedia/wiki_disaster/" 
			global PATH_TO_REPO "D:/workspace/AAA_wikipedia/wiki_disasters/"  
			global PATH_TO_SVN "${PATH_TO_REPO}/trunk/" 
		}
		if c(machine_type) == "PC" {
			global PATH_TO_REPO "D:/workspace/AAA_wikipedia/wiki_disasters/"  
			global PATH_TO_SVN "${PATH_TO_REPO}/trunk/" 
		}
		global PATH_TO_DO "${PATH_TO_SVN}/wikidis_do_files/"
		di "${PATH_TO_DO}"
		global nodraw ""	
		}

	if c(username)=="mkummer6" & c(os) == "Windows" {
		*global PATH_TO_SVN /home/O/wikipedia_group/trunk/
		global PATH_TO_REPO "C:/workspace/AAA_wikipedia/wikidis/"
		global PATH_TO_SVN "${PATH_TO_REPO}/trunk/" 
		global PATH_TO_DO "${PATH_TO_SVN}/wikidis_do_files/"
		}
		
		
	if c(username)=="mkm" & c(os) == "Unix" {
		*global PATH_TO_SVN /home/O/wikipedia_group/trunk/
		global PATH_TO_REPO "/home/mkm/Desktop/wikipedia/wikidis/"
		global PATH_TO_SVN "${PATH_TO_REPO}/trunk/" 
		global PATH_TO_DO "${PATH_TO_SVN}/wikidis_do_files/"
		}



	di as text c(username) " on system " c(os) " set mkm_debug_data_yes =  ${mkm_debug_data_yes}"

* cd "${PATH_TO_SVN}"
cd "${PATH_TO_DO}"

	
/* 3) decide which type of analysis you wish to perform (treatment type, category, resolution, test or full, etc.)*/	
	
	global DisPod = "PoD" /* dis, PoD oder oscar etc. */
	global linksets = "0 1 2" /* specify only the distance (as numbers) you want to include (0 1 2 or any combination) => generates L0, L1 L2  */
	global resolution = "daily" /* weekly, daily or hourly seem reasonable */
	global analysis_choice = "full" /* test, linkset(L2, start_pages, etc.) or full (potentially also eco, soc, etc. 
		if you call "test" you get only 5% of the observations to test your code. this is implemented in 2b by: */
	global make_test_dataset =  "keep if (sampler > 0.475) & (sampler < 0.525)"
		* /* mkm:check */ assert "${make_test_dataset}" == "${test}"	

		
/* 4.) include the PLUGIN_PATH_FILE and the PLUGIN_LOCAL_FILE to set up all the other paths. only depends on the PATH_TO_SVN-path 
		=> kann man bei Bedarf so ändern, dass jeder sein eigenes hat. */

	global CENTRAL_PATH_FILE "${PATH_TO_SVN}/wikidis_do_files/wikidis_plugin/wikidis_central_default_paths.do"
	* central path file
	include "${CENTRAL_PATH_FILE}"		
	* central file with locals
	include "${PATH_PLUGIN}wikidis_plugin_locals.do"


/* 5. define your default data-set:
	Alle do files die ${PATH_PAPER_1_DATA}${WORKHORSE_DATASET} aufrufen (cf. below) können so zentral von 
	einem anderen Basisfile starten. (insb. von soc oder eco) */
	
	global WORKHORSE_DATASET = ""
	global CONNECTED_DATASET = ""
		/* sollen wir hier noch ein datum einbauen so wie Du das hattest? */
		* use "${PATH_PAPER_1_DATA}${WORKHORSE_DATASET}", clear
		di "WORKHORSE_DATA = ${WORKHORSE_DATASET}"
		

		
/* 6a.) switch choices (user - specific) */
		/*  switches allow to choose what you want and don't want to run: Often you do not want to skip data management and descriptives 
			and only start with the regression files. ==> später jeder in seinem teil?
			 any yes will trigger the affected do-files to be executed. any no will allow you to skip a part of the analysis 
			(and save time...) */
	
	* Oskar
	if c(username)=="mkm" & c(os) == "Unix" {
		* local insheet_data_yes = "yes"  	
		* local manage_start_data_yes = "yes" 
		* local manage_samples_yes = "yes"	/* starts from main data, generate samples here */
		local describe_yes = "yes"	
		local analyse_yes = "yes"			
		* local link_position_yes = "yes"	/* for now only with wave 4(130420) and Ti10D20D05*/
		* local create_link_position_data_yes = "yes"  /* optional - needs to be created once, then there is a check */
		* local in_Arbeit_yes = "yes"	
		* local descriptives_for_paper_yes = "yes"		
		* local analysis_for_paper_tables_yes = "yes"	
		local build_paper_yes = "yes"				/* build paper  (possibly overwriting the old local version)*/
		local overwrite_old_paper_tables_yes = "yes"		/* really overwriting the old local version */
		* local robustness_yes = "yes" 			/* run the robustness checks */
		}

	* local mkm
	if c(username)=="mkm" & c(os) == "Windows" {

		* local insheet_data_yes = "yes"  	
		* local manage_start_data_yes = "yes" 
		* local manage_samples_yes = "yes"	/* starts from main data, generate samples here */
		* local describe_yes = "yes"		
		* local analyse_yes = "yes"	
		* local in_Arbeit_yes = "yes"		
		* local link_position_yes = "yes"	/* for now only with wave 4(130420) and Ti10D20D05*/
		* local create_link_position_data_yes = "yes" 
		* local descriptives_for_paper_yes = "yes"		
		* local analysis_for_paper_tables_yes = "yes"	
		* local build_paper_yes = "yes"				/* build paper  (possibly overwriting the old local version)*/
		* local overwrite_old_paper_tables_yes = "yes"		/* really overwriting the old local version */
		* local robustness_yes = "yes" 			/* run the robustness checks */
		* local old_version_yes = "yes"
		}
	

	if c(username)=="Kummer" & c(os) == "Windows" {

		local insheet_data_yes = "yes"  	
		local manage_start_data_yes = "yes" 
		local manage_samples_yes = "yes"	/* starts from main data, generate samples here */
		local describe_yes = "yes"		
		local analyse_yes = "yes"	
		local in_Arbeit_yes = "yes"		
		local link_position_yes = "yes"	/* for now only with wave 4(130420) and Ti10D20D05*/
		local create_link_position_data_yes = "yes" 
		local descriptives_for_paper_yes = "yes"		
		local analysis_for_paper_tables_yes = "yes"	
		local build_paper_yes = "yes"				/* build paper  (possibly overwriting the old local version)*/
		local overwrite_old_paper_tables_yes = "yes"		/* really overwriting the old local version */
		local robustness_yes = "yes" 			/* run the robustness checks */
		* local old_version_yes = "yes"
		}
	
	
	if c(username)=="aam18bgu" & c(os) == "Windows" {

		* local insheet_data_yes = "yes"  	
		* local manage_start_data_yes = "yes" 
		local manage_samples_yes = "yes"	/* starts from main data, generate samples here */
		local describe_yes = "yes"		
		local analyse_yes = "yes"	
		local in_Arbeit_yes = "yes"		
		local link_position_yes = "yes"	/* for now only with wave 4(130420) and Ti10D20D05*/
		local create_link_position_data_yes = "yes" 
		local descriptives_for_paper_yes = "yes"		
		local analysis_for_paper_tables_yes = "yes"	
		local build_paper_yes = "yes"				/* build paper  (possibly overwriting the old local version)*/
		local overwrite_old_paper_tables_yes = "yes"		/* really overwriting the old local version */
		local robustness_yes = "yes" 			/* run the robustness checks */
		* local old_version_yes = "yes"
		}	
	

/* 6b.) display switch choices */
	
	di as text c(username) " on system " c(os) " set mkm_debug_data_yes =  ${mkm_debug_data_yes}"

	di "insheet_data_yes = `insheet_data_yes' " 
	di "manage_start_data_yes  = `manage_start_data_yes' "
	di "manage_samples_yes  = `manage_samples_yes' "
	di "in_Arbeit_yes = `describe_yes' "
	di "describe_yes  = `describe_yes' "
	di "analyse_yes  = `describe_yes' "
	di "descriptives_for_paper_yes  = `descriptives_for_paper_yes' "
	di "analysis_for_paper_tables_yes  = `analysis_for_paper_tables_yes' "
	di "robustness_yes  = `robustness_yes' "
	di "old_version_yes  = `old_version_yes' "

	
	
	
************************************
* 7.) Let's get started */ 
*************************************
cd ${PATH_TO_DO}

* insheeting csv from george
***********************
if "`insheet_data_yes'" == "yes" {
	do wikidis_data_management/wikidis_cr_insheet_tuple_data
	}

* data_management
***********************
if "`manage_start_data_yes'" == "yes" {
	do wikidis_data_management/wikidis_cr_start_data	
}



* samples
***********************
if "`manage_samples_yes'" == "yes" {
	do wikidis_data_management/wikidis_cr_data_samples
	do wikidis_data_management/wikidis_cr_Lx_post_cleaning
}

* descriptive analysis
***********************
if "`describe_yes'" == "yes" {
	do wikidis_descriptive_analysis/wikidis_anaDesc_figures
	do wikidis_descriptive_analysis/wikidis_anaDesc_sumstats
		
		* automatic conversion of outputs to a pdf-file:
		cp "${PATH_PAPER_VIEWASPDF}/wikidis_look_at_descriptives_auto.tex"  ${PATH_TABS_N_FIGS}/wikidis_look_at_descriptives.tex, replace
		cd "${PATH_TABS_N_FIGS}"

		* !pdflatex wikidis_look_at_descriptives.tex -no-shell-escape
		cd "${PATH_TO_DO}"
}
 
* serious regression analysis 		
***********************
if "`analyse_yes'" == "yes" {
	do wikidis_analysis/wikidis_ana_DiD_clust.do
	do wikidis_analysis/wikidis_ana_DiffDiff_clustered
	
	* do wikidis_analysis/wikidis_ana_DiffDiff
	* do wikidis_analysis/wikidis_ana_regress

	if "`DisPod'" == "PoD" {
		do wikidis_analysis/wikidis_ana_augmented_PoD_L1L2
		}
	
		cp "${PATH_PAPER_VIEWASPDF}/wikidis_tables_and_graphs.tex"  ${PATH_TABS_N_FIGS}/wikidis_tables_and_graphs.tex, replace
		cp "${PATH_PAPER_VIEWASPDF}/wikidis_manually_selected.tex"  ${PATH_TABS_N_FIGS}/wikidis_manually_selected.tex, replace
		
		cd "${PATH_TABS_N_FIGS}"
		* !pdflatex wikidis_tables_and_graphs.tex -no-shell-escape
		cd "${PATH_TO_DO}"
}






* file creation in Arbeit
if "`in_Arbeit_yes'" == "yes" {
	do wikidis_in_Arbeit/wikidis_cr_shock_crosssection_PoD	

	global LINK_POSITION_DATA_PASSED_YES  "blob"
	if "`link_position_yes'" == "yes" {

		cap assert (("${DATAWAVE_DATE}" == "130420") & ("${DATAWAVE}"== "4")) | (("${DATAWAVE_DATE}" == "140920") & ("${DATAWAVE}"== "Ti10D20D05"))
		if _rc di "You are trying to run the link_position analyis on a new datawave. Make sure you ran the python code that generates the output..." mkm_exxit 
		if "`create_link_position_data_yes'" == "yes" {
			** data generation
			do wikidis_adv_analysis/wikidis_cr_PoD_link_position_in_text.do

			** generate homogeneous files (without umlaut) for link-distance analysis.
			do wikidis_adv_analysis/wikidis_cr_PoD_L1_with_L0_peaks_without_umlaut
			do wikidis_adv_analysis/wikidis_cr_Lx_post_cleaning_without_umlaut
		}
		use "${PATH_DISASTER_SAMPLES}wiki`DisPod'_L1_post_cleaning_without_umlaut.dta", clear
		if _rc di "You are asking for the analysis of the link position data, but they are not available on this machine. Try to compute them setting the local 'create_link_position_yes' to 'yes' or do without. " mkm_exxit
		clear
		global LINK_POSITION_DATA_PASSED_YES  "yes"
	}
}
* analysis in_Arbeit:
if "`in_Arbeit_yes'" == "yes" {
	
	do wikidis_in_Arbeit/wikidis_ana_long_term_effects_weekly
	do wikidis_in_Arbeit/wikidis_ana_peak_heterogenity_spills
		/* file can be kept in sync with the "no umlaut" dataset from the link_poition analysis. */
	
	if "`link_position_yes'" == "yes" {
	assert "${LINK_POSITION_DATA_PASSED_YES}" ==  "yes"
		** analyze link position
		do wikidis_adv_analysis/wikidis_ana_PoD_link_position_in_text.do
		** uses link_position as control and num_L0_links as depvar in the last reg.
		do wikidis_adv_analysis/wikidis_ana_PoD_shock_click_per_link.do	
		}
	}



if "`build_paper_yes'" == "yes" {
/* copy filewriter to paper folder 
	cap cp  "${PATH_TABS_N_FIGS}/paper_regtables_caller.tex" "${PATH_PAPER_FINTABLES}/paper_regtables_caller.tex", replace
	if _rc di "couldn't coppy the paper_regtables_caller, continuing with an empty placeholder-file"
	cap cp  "${PATH_TABS_N_FIGS}/paper_descriptives_caller.tex" "${PATH_PAPER_FINTABLES}/paper_descriptives_caller.tex", replace
	if _rc di "couldn't coppy the paper_descriptives_caller, continuing with an empty placeholder-file"
	*/
	
/* build tables and graphs viewer */
	* cd "${PATH_PAPER_TEXT}"
	* !pdflatex final_paper_tabgraphs_test.tex -no-shell-escape
	* cd "${PATH_TO_DO}"
	
	/* check whether it is desired to overwrite the existing tables for the paper build
		if yes: copy the newly built tables to the paper folder */
		
	if "`overwrite_old_paper_tables_yes'" == "yes" {
		cap assert "${mkm_debug_data_yes}" == "no"
		if _rc di "you are trying to overwrite stuff with mkm_debug-results" exxit
		* else:
		include wikidis_plugin/wikidis_plugin_copy_tables_for_paper_build.do
		}

	/* then build real paper */
			cd "${PATH_PAPER_TEXT}"
			!pdflatex wikidis_reworking_paper.tex -no-shell-escape
			! wikidis_reworking_paper.pdf
			cd "${PATH_TO_DO}"
	
	/* and do it a second time. */
			cd "${PATH_PAPER_TEXT}"
			!pdflatex wikidis_reworking_paper.tex -no-shell-escape
			! wikidis_reworking_paper.pdf
			cd "${PATH_TO_DO}"
			
			
}
	
* older version of analysis

if "`old_version_yes'" == "yes" {

global PATH_RAW_DATA_LOCATION "`path_repo'/wikidis_raw_data_ignore/wikidis_DSH_wave_1_121026/"

do wikidis_data_management/wikidis_cr_data_test_0_1
do wikidis_in_Arbeit/wikidis_ana_L2test_analysis

** build slides
	foreach stylefile in `zew_stylefiles'  "wikidis_explore_slides.tex" {
		cp "${PATH_PAPER_ZEWSTYLES}`stylefile'" "${PATH_OUTPUT_SLIDES}zew_styles/`stylefile'" , replace
		}
		cd  "${PATH_OUTPUT_SLIDES}zew_styles/"
		!pdflatex wikidis_explore_slides.tex	-no-shell-escape
		cd "${PATH_TO_DO}"
}

if _rc==1 {
exxit, Job could not be completed!!
}

if _rc==0 | _rc==. | _rc==693 di _n _n  "Success!!" _n "Job could be completed, no error occured" _n "checking the ToDo-list"
do ${PATH_TO_SVN}/wikidis_todo_list
