local texoutput_file "wiki_explore_msafiles_jump_to_eco.tex"
local table_slides_path "${PATH_PAPER_SLIDES}"
local table_stand_alone_path `pathToTables'
cap mkdir `table_stand_alone_path'

local estlabel "MeaningFulLLabel"

/* estimates */

estimates store `estlabel'1

estimates store `estlabel'2

estimates store `estlabel'3

estimates store `estlabel'4
 
* extend as required

	local regs_to_include " est`label'1 est`label'2 est`label'3 est`label'4"
	local columntitles A B C D
	local estusingfile "`table_slides_path'/`texoutput_file'"
	local titletext "Relationship of X and Y"
	local scaling "50" /* in percent (0-100) */
	local widthlocal "20cm"
	local addnotetext1 "Pooled OLS-Regressions with robust standard errors. "
	local addnotetext2 "Only x y z. Dependent Variable: `outcome`x''."
	local tableonlyfile "`table_stand_alone_path'`estlabel'.tex"

	
	/* oder nach tni-style und mit APPEND */
	esttab `regs_to_include'/*
		*/ using `estusingfile', append booktabs `control_spec' /* ar2 */ /*
		*/ starlevels( * 0.10 ** 0.05 *** 0.01)  width(`widthlocal') nodepvars compress  /*
		*/ mtitles(`columntitles') /* nomtitles */ /*
		*/ title("`titletext' \label{tab:`label'}")   /*
		*/ addnote("`addnotetext1'" "`addnotetext2'")	  b(3) t(2) /*
		*/ topfile(${PATH_STATA_LOCAL}beg`scaling'_tni.tex) bottomfile(${PATH_STATA_LOCAL}end_tni.tex) 
		** export results to .tex file for presentation 
	
	/* alternatively, directly into a file and manipulating the scriptsize */
	esttab `regs_to_include'/*
		*/ using `tableonlyfile', replace booktabs `control_spec' /* ar2 */ /*
		*/ stats(N N_g r2_a, fmt(0 0 3) labels("Observations" "Number of Pages" "Adj. R$^2$")) /*
		*/ starlevels( * 0.10 ** 0.05 *** 0.01)  width(`widthlocal') nodepvars compress  /*
		*/ mtitles(`columntitles') /*
		*/ title("`titletext' \label{tab:`label'}")   /*
		*/ addnote("`addnotetext1'" "`addnotetext2'")	  b(3) t(2) /*
		*/ substitute("\begin{tabular*}" " \fontsize{12}{14} \selectfont \begin{tabular*}" _ "\_") 
		topfile(${PATH_STATA_LOCAL}beg`scaling'_tni.tex) bottomfile(${PATH_STATA_LOCAL}end_tni.tex) 
		** export results to .tex file for presentation */
		
