
include "${PATH_EXTRA_PLUGIN}print_execute.do"

local storepath C:/path_to_plots/
local graphname find_A_clever_name /* base of filename for plots */
cap mkdir `storepath'


/******************************
 Plot the mean of any desired y-variable agains any x variable and store the graph
	Options:
		** just the mean (collapse)
		** mean with jitter (from egen) to indicate how frequent the observation (on x) occurs
		** var_extra_category allow a subcategorization (male-female or product-categories etc.)
*******************************/


local variables_x link_20_aggregator num_repetitions_link/*put several if you wnat real iteration */
local variables_y peak_clicks /*put several if you wnat real iteration */
local var_extra_category /*does not need to be filled */

foreach var_to_plot in `variables_y' {
	foreach var_x_axis in `variables_x' {
	/* choose order in which you want to iterate by excahnging y and x loop */
		local graph_file `storepath'`graphname'_`var_x_axis'
		local titletext "`var_to_plot' on `var_x_axis'"
		pe by `var_x_axis', sort: sum `var_to_plot'
		cap drop mean_`var_to_plot'
		pe by `var_x_axis' `var_extra_category': egen mean_`var_to_plot' = mean(`var_to_plot')
		
		pe hist `var_x_axis', discrete freq addlabels 
		sort `var_x_axis' `var_extra_category' start_page_name page_id

		* Clean+Neat alternative
		preserve 
			pe collapse `var_to_plot', by (`var_x_axis' `var_extra_category')
			pe scatter `var_to_plot' `var_x_axis', title(`titletext') connect(direct) mcolor(cranberry) msize(large) /* jitter(20) */
			pe graph export `graph_file'_mean_`var_to_plot'.png, replace
		restore

		* jitter

		pe scatter mean_`var_to_plot' `var_x_axis', title(`titletext') connect(direct) msize(vtiny)  jitter(10) 
		graph export `graph_file'_mean_`var_to_plot'_jitter.png, replace
		
	}
}
