


/*** Short description:
This file provides the most important paths of the wikidis-project as paths
	***/


local start_dir "${PATH_TO_SVN}"

/* raw-data (** assumes that the raw data lies *BESIDE the trunk. Only relevant 
		if you activated the local insheet_yes */

cd `start_dir'
cd ..
/* note: looks redundant, but ensures, that it also works if path to repo is not defined" */
cd "${PATH_TO_TRUNK}"
local path_repo = c(pwd)
if "${DisPod}" == "dis" {
	* global PATH_RAW_DATA_LOCATION "`path_repo'/wikidis_raw_data_ignore/wikidis_DSH_wave_4_130511/"
	* global DATAWAVE_DATE "130511"
	* global DATAWAVE "4"
	global PATH_RAW_DATA_LOCATION "`path_repo'/wikidis_raw_data/wikidis_export_wave6_130828/"
	global DATAWAVE_DATE "130828"
	global DATAWAVE 6
	global FEATURES "simple" 

	}

if "${DisPod}" == "PoD" {
	global FEATURES "advanced" 
	
	/* 
	** Old version (Spring 2012)
	global DATAWAVE_DATE "130420"
	global DATAWAVE "4"
	global DATAFREQUENCE "_" /* NOTE: It's crucial to have datafrequence minimally as "_" ! */

	global PATH_RAW_DATA_LOCATION "`path_repo'/wikidis_raw_data_ignore/wikiPoD_DSH_wave_${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}/"
	*/
	
	/*
	** Newer Datasets (Summer 2014)
	
	*just datawave D20
	
	global DATAWAVE_DATE "140804"
	global DATAWAVE "D20"
	global DATAFREQUENCE "_daily_"


	*/
	* merged Datawave
	/*
	global DATAWAVE_DATE "140908"
	global DATAWAVE "Ti10D20"
	global DATAFREQUENCE "_merge_daily_"
	*/
	
	global DATAWAVE_DATE "140920"
	global DATAWAVE "Ti10D20D05"
	global DATAFREQUENCE "_merge_daily_"
	
	
	global PATH_RAW_DATA_LOCATION "`path_repo'/wikidis_raw_data_ignore/wikiPoD_export_wave${DATAWAVE}${DATAFREQUENCE}${DATAWAVE_DATE}/"
	
	
	}
	
	/* Note: this is required for raw-data besides svn directory: possibly abolish and put raw data inside the trunk (svn ignore!!)? */
		* old path: "`path_repo'/wikidis_raw_data_ignore/wikidis_DSH_wave_1_121026/"
	

*** paths for manipulating data

cd `start_dir'
cap mkdir wikidis_data


*** ADAPT FROM WIKIPEDIA-PROJECT!! 

 
cap assert "${mkm_debug_data_yes}" == "yes" | "${mkm_debug_data_yes}" == "no" , 
if _rc di "wrong setting: mkm_data_debugging_yes not 'yes' or 'no' but ${mkm_data_debugging_yes}.  " mkm_exxit 

if "${mkm_debug_data_yes}" == "yes" {
	global PATH_TO_DATA "`start_dir'wikidis_work_data/${DisPod}_data/mkm_debug_data_ignore/"	
	cap mkdir "`start_dir'wikidis_work_data/${DisPod}_data/"
	cap mkdir ${PATH_TO_DATA}
}


if "${mkm_debug_data_yes}" == "no" {
	** Datpath for the first revision.
	global PATH_TO_DATA "`start_dir'wikidis_work_data/${DisPod}_Rev1_data/"
	** Originally the datapath was
	global PATH_TO_DATA "`start_dir'wikidis_work_data/${DisPod}_data/"
	cap mkdir ${PATH_TO_DATA}
	}

	
global PATH_TO_DATA_PREP   "${PATH_TO_SVN}data_preparation/"
	
*** lookup paths for do-files

global PATH_PLUGIN "${PATH_TO_DO}wikidis_plugin/"
global PATH_EXTRA_PLUGIN "${PATH_PLUGIN}mkm_extras_copy/"
global PATH_HELP_FILES "`start_dir'/wikidis_do_files/wikidis_plugin/" /* some do-files still refer to PATH_HELP_FILES */
global PATH_LIBRARY "`start_dir'/wikidis_do_files/wikidis_plugin/mkm_extras_copy/"
global PATH_DATA_MANAGE_HELP_FILES "${PATH_LIBRARY}data_management_help/"
global PATH_STATA_LOCAL = "${PATH_LIBRARY}stata_local/"

cap mkdir ${PATH_STATA_LOCAL}


/* paths for insheet */
global PATH_INSHEET "${PATH_TO_DATA}wiki${DisPod}_preparation_steps/" 
global PATH_INSHEET_DSH "${PATH_INSHEET}wiki${DisPod}_insheet_DSHorTxt/"
global PATH_INSHEET_LINK_FLAVOURS "${PATH_INSHEET}wiki${DisPod}_link_flavours/"
* global PATH_INSHEET_RESOLUTIONS "${PATH_INSHEET}wikidis_different_resolutions/"
global PATH_LAST_FULL_L2_DATA "${PATH_INSHEET}wiki${DisPod}_L2_data_before_balancing/"

cap mkdir ${PATH_INSHEET}
cap mkdir ${PATH_INSHEET_DSH}
cap mkdir ${PATH_INSHEET_LINK_FLAVOURS}
* mkdir ${PATH_INSHEET_RESOLUTIONS}
cap mkdir ${PATH_LAST_FULL_L2_DATA}


/* paths for data management */

global PATH_DISASTER_DATA "${PATH_TO_DATA}wiki${DisPod}_start/"
* cap mkdir "${PATH_TO_DATA}paper_1_samples/"
* global PATH_SELECTED_SAMPLES "${PATH_TO_DATA}paper_1_samples/${cat_choice}/"
global PATH_DISASTER_SAMPLES "${PATH_TO_DATA}wiki${DisPod}_samples/"
global PATH_DISASTER_TEMP "${PATH_TO_DATA}wiki${DisPod}_temp/"

cap mkdir ${PATH_DISASTER_DATA}
cap mkdir ${PATH_DISASTER_SAMPLES}
cap mkdir ${PATH_DISASTER_TEMP}


/* paths for the OUTPUT of the ANALYSIS */

if "${mkm_debug_data_yes}" == "yes" {
* global PATH_FINAL_OUT "`start_dir'/wiki${DisPod}_outputs/mkm_output_debug_ignore/${cat_choice}/"
global PATH_OUTPUTS "`start_dir'/wikidis_outputs/mkm_output_debug_ignore/"
global PATH_OUTPUT_MONTH "`start_dir'/wikidis_outputs/mkm_output_debug_ignore/${EXEC_MONTH}/"
global PATH_FINAL_OUT "`start_dir'/wikidis_outputs/mkm_output_debug_ignore/${EXEC_MONTH}/${EXEC_DATE}/"
cap mkdir "`start_dir'/wikidis_outputs/"
* global PATH_FINAL_OUT "`start_dir'/wiki_outputs/${link_set}/"
}

if "${mkm_debug_data_yes}" == "no" {
* global PATH_FINAL_OUT "`start_dir'/wiki_outputs/${cat_choice}/"
global PATH_OUTPUTS "`start_dir'/wikidis_outputs/"
global PATH_OUTPUT_MONTH "`start_dir'/wikidis_outputs/${EXEC_MONTH}/"
global PATH_FINAL_OUT "`start_dir'/wikidis_outputs/${EXEC_MONTH}/${EXEC_DATE}/"
* global PATH_FINAL_OUT "`start_dir'/wiki_outputs/${link_set}/"
}

global PATH_LOGS "${PATH_FINAL_OUT}wiki${DisPod}_logs/"

global PATH_TABS_N_FIGS "${PATH_FINAL_OUT}wikidis_tables_and_figures/" 

global PATH_TABLES "${PATH_TABS_N_FIGS}wiki${DisPod}_tables/"
global PATH_REGRESULT_TABLES "${PATH_TABLES}wiki${DisPod}_regression_tables/"
global PATH_TOPICRESULTS_LINKKPOSITION "${PATH_TABS_N_FIGS}wiki${DisPod}_linkposition_tab_figs/"
global PATH_DESCRIPTIVES_TABLES "${PATH_TABLES}wiki${DisPod}_descriptive_tables/" 
global PATH_FIGURES "${PATH_TABS_N_FIGS}wiki${DisPod}_figures/"
* global PATH_MORE_FIGS "${PATH_FIGURES}mkm_more_figures/"
global PATH_MKM_TEST "${PATH_TABS_N_FIGS}wiki${DisPod}_mkm_test/"


global PATH_OUTPUT_SLIDES "${PATH_FINAL_OUT}wikidis_result_slides/"
global PATH_MANUAL_SLIDES_N_PDFS 


cap mkdir ${PATH_OUTPUTS} 
cap mkdir ${PATH_OUTPUT_MONTH} 
cap mkdir ${PATH_FINAL_OUT} 
cap mkdir ${PATH_LOGS}
cap mkdir ${PATH_TABS_N_FIGS}
cap mkdir ${PATH_OUTPUT_SLIDES}
cap mkdir ${PATH_OUTPUT_SLIDES}zew_styles


cap mkdir ${PATH_TABLES}
cap mkdir ${PATH_REGRESULT_TABLES}
cap mkdir ${PATH_TOPICRESULTS_LINKKPOSITION}
cap mkdir ${PATH_DESCRIPTIVES_TABLES}
cap mkdir ${PATH_FIGURES}
cap mkdir ${PATH_MKM_TEST}


/* paths for finding tex-files in paper folders */

global PATH_PAPER_MAIN "`start_dir'/wikidis_paper/"
global PATH_PAPER_TEXT "${PATH_PAPER_MAIN}paper_auto/"
global PATH_PAPER_FINTABLES "${PATH_PAPER_TEXT}finpaper_tables_n_descriptives/"
global PATH_PAPER_MORETABLES "${PATH_PAPER_TEXT}finpaper_tables_n_descriptives/finpaper_more_materials/"


global PATH_SLIDES_OR_PDFS "${PATH_PAPER_MAIN}wikidis_slides_and_pdfs/"
* global PATH_MANUAL_OVERVIEW_SLIDES "something_meaningful"
global PATH_PAPER_SLIDES "`start_dir'/wikidis_slides/"
global PATH_PAPER_VIEWASPDF "${PATH_PAPER_MAIN}wikidis_view_pdfs/"
global PATH_PAPER_ZEWSTYLES "${PATH_PAPER_SLIDES}zew_styles/"


cap mkdir ${PATH_PAPER_MAIN}
cap mkdir ${PATH_PAPER_TEXT}
cap mkdir ${PATH_PAPER_FINTABLES}
cap mkdir ${PATH_PAPER_MORETABLES}

cap mkdir ${PATH_SLIDES_OR_PDFS}
cap mkdir ${PATH_PAPER_SLIDES}
cap mkdir ${PATH_PAPER_VIEWASPDF}
cap mkdir ${PATH_PAPER_ZEWSTYLES}



exit



********************************
********************************

global PATH_ECO_DATA "${PATH_TO_DATA}paper_1_start/eco/"
global PATH_SOC_DATA "${PATH_TO_DATA}paper_1_start/soc/"
global PATH_DATA_ZWSCH "${PATH_TO_DATA}formatted_data/data_zwsch/"

cap mkdir ${PATH_SOC_DATA}
cap mkdir ${PATH_ECO_DATA}
